import { TableResponse } from '@app/presentation/layout/mo-tables/interfaces/table.interface';
import { Movement, MOVEMENT_TYPE } from '../../core/models/movement.model';

export const MOVEMENTS: TableResponse<Movement> = {
  filtered: 500,
  count: 3,
  results: [
    {
      amount: '31327',
      created_at: new Date('2023-01-12T15:33:21.481458Z'),
      fee_amount: '9401689269.2855214155',
      fee_tax_amount: '3876786303.5781414310',
      id: '9298511d-5d38-4a40-8f12-db2892f987cc',
      merchant_display_name: 'Diego Orozco',
      merchant_id: 'f5868518-1b57-46f2-bfca-4d6940ea50be',
      merchant_reference: 'REkFykeqFLrk',
      payout_id: '1fcd81bd-8f0d-48bc-8926-37d0ba401b04',
      payout_reference: 'iKluPsOYOHiq',
      purchase_id: 'fff03292-e306-40c2-91df-ec07e19a55c1',
      purchase_reference: 'FTXneyoKAKbS',
      type: MOVEMENT_TYPE.IN,
    },
    {
      amount: '626265',
      created_at: new Date('2023-01-12T15:33:21.481458Z'),
      fee_amount: '9401689269.2855214155',
      fee_tax_amount: '3876786303.5781414310',
      id: '9298511d-5d38-4a40-8f12-db2892f987cc',
      merchant_display_name: 'Vladimir Mata',
      merchant_id: 'f5868518-1b57-46f2-bfca-4d6940ea50be',
      merchant_reference: 'REkFykeqFLrk',
      payout_id: '1fcd81bd-8f0d-48bc-8926-37d0ba401b04',
      payout_reference: 'iKluPsOYOHiq',
      purchase_id: 'fff03292-e306-40c2-91df-ec07e19a55c1',
      purchase_reference: 'FTXneyoKAKbS',
      type: MOVEMENT_TYPE.OUT,
    },
    {
      amount: '265',
      created_at: new Date('2023-01-12T15:33:21.481458Z'),
      fee_amount: '9401689269.2855214155',
      fee_tax_amount: '3876786303.5781414310',
      id: '9298511d-5d38-4a40-8f12-db2892f987cc',
      merchant_display_name: 'Adidas',
      merchant_id: 'f5868518-1b57-46f2-bfca-4d6940ea50be',
      merchant_reference: 'REkFykeqFLrk',
      payout_id: '1fcd81bd-8f0d-48bc-8926-37d0ba401b04',
      payout_reference: 'iKluPsOYOHiq',
      purchase_id: 'fff03292-e306-40c2-91df-ec07e19a55c1',
      purchase_reference: 'FTXneyoKAKbS',
      type: MOVEMENT_TYPE.IN,
    },
  ],
};
